Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003016 [JEDI VCL] 00 JVCL Components crash always 2005-06-03 04:53 2006-06-27 03:38
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003016: TJvInspector: Stack overflow when inspecting TChart
Description Inspecting an standard TChart from D7 causes a stack overflow. Inspecting Series of a chart causes stack overflows too.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007395)
anonymous (viewer)
2005-06-03 05:12

TChart has a property 'BackWall'.
BackWall has a property 'ParentChart' pointing to the chart.
This leads to a recursion.

When inspecting object properties, there should be a check if
this object property is a parent of the current object.
(0007397)
AHUser (developer)
2005-06-03 07:17

But then it would be possible to have a object A referencing object B which references object C which itself references A. We must close the whole loop or stop at the first child.
(0008789)
obones (administrator)
2006-03-31 05:58

Could anything can be done here?
(0009659)
obones (administrator)
2006-06-27 03:38

Well, without any response, I'm assuming this is fixed in the latest development version. Should it not be the case, please provide a sample application and/or a diff file against the latest SVN content:

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

- Issue History
Date Modified Username Field Change
2005-06-03 04:53 anonymous New Issue
2005-06-03 05:12 anonymous Note Added: 0007395
2005-06-03 07:17 AHUser Note Added: 0007397
2006-03-31 05:58 obones Note Added: 0008789
2006-03-31 05:58 obones Status new => feedback
2006-06-27 03:38 obones Status feedback => resolved
2006-06-27 03:38 obones Fixed in Version => Daily / SVN
2006-06-27 03:38 obones Resolution open => fixed
2006-06-27 03:38 obones Assigned To => obones
2006-06-27 03:38 obones Note Added: 0009659


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker